API Reference
Reorder
2 endpoints· Auth: JWT or API Key
post
/api/v1/console/purchase-orders/from-suggestions JWT API KeyCreate from-suggestions
Request body
application/json
{
"supplierId": "00000000-0000-0000-0000-000000000000",
"expectedDeliveryDate": "2026-09-30",
"notes": "string",
"lines": [
{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"quantity": 0
}
]
}| supplierId string (uuid) | — |
| expectedDeliveryDate string (date) | — |
| notes string | — |
| lines DraftPoSuggestionLineRequest[] | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/purchase-orders/from-suggestions" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"supplierId": "00000000-0000-0000-0000-000000000000",
"expectedDeliveryDate": "2026-09-30",
"notes": "string",
"lines": [
{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"quantity": 0
}
]
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/purchase-orders/reorder-suggestions JWT API KeyGet reorder-suggestions
Query parameters
| WindowDays integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/purchase-orders/reorder-suggestions" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu